# List e-invoice file templates Lists information about e-invoice file templates. You can query e-invoice file templates by conditions. For example, if your service provider is Sovos, you can use the following example URL to retrieve information about a list of e-invoice file templates for invoices in India: /v1/einvoice/templates?country=IN&documentType=Invoice&provider=Sovos Note: This operation is available only if you have the E-Invoicing feature in Early Adopter phase enabled. Endpoint: GET /v1/einvoice/templates Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `country` (string, required) The short name of a country or region where you must comply with e-invoicing requirements. For example, IN for India. For the full list of country names and codes, see View countries or regions. - `documentType` (string, required) The type of billing documents for which the e-invoice file template is intended. Enum: "Invoice", "CreditMemo", "DebitMemo" - `provider` (string, required) The name of the e-invoicing service provider that assists in generating e-invoice files. ## Response 200 fields (application/json): - `success` (boolean) Returns true if the request was processed successfully. - `templates` (array) Container for e-invoice file emplates. - `templates.content` (string) The content of the e-invoice file template, which must be encoded in Base64 format. - `templates.country` (boolean) The short name of a country or region where you must comply with e-invoicing requirements. For example, IN for India. For the full list of country names and codes, see View countries or regions. - `templates.documentType` (string) The type of billing document for which the e-invoice file template is intended. Enum: "Invoice", "CreditMemo", "DebitMemo" - `templates.id` (string) The unique ID of the e-invoice file template. - `templates.name` (string) The name of the e-invoice file template. - `templates.provider` (string) The name of the e-invoicing service provider that assists in generating e-invoice files for billing documents. Enum: "Sovos" - `templates.templateNumber` (string) The unique number of the e-invoice file template. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.